This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 851525 - udevd crashes on boot with f17 kernel 3.5.2-3.fc17.x86_64
udevd crashes on boot with f17 kernel 3.5.2-3.fc17.x86_64
Status: CLOSED DUPLICATE of bug 848149
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 09:34 EDT by Tamas Vincze
Modified: 2012-09-06 14:03 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-06 14:03:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tamas Vincze 2012-08-24 09:34:18 EDT
After updating to kernel 3.5.2-3.fc17.x86_64 udevd crashes on boot causing the system to end up in a root shell.
With kernel 3.4.6-2.fc17.x86_64 udev works fine, but X fails to start because of an nvidia api version mismatch. So the last "yum update" rendered the system pretty much useless.

Version: udev-182-3.fc17.x86_64

[   10.778909] general protection fault: 0000 [#1] SMP 
[   10.778913] CPU 1 Modules linked in: mfd_core v4l2_common videodev snd_hda_codec_realtek ppdev cx24113 i82975x_edac(+) microcode(+) cx24123 media i2c_i801 dvb_core i2c_algo_bit edac_core i2c_core snd_hda_intel(+) sky2 shpchp snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_timer snd asus_atk0110 soundcore parport_pc parport sunrpc uinput raid1 firewire_ohci firewire_core usb_storage crc_itu_t
[   10.778942] 
[   10.778945] Pid: 484, comm: udevd Not tainted 3.5.2-3.fc17.x86_64 #1 System manufacturer System Product Name/P5WDG2-WS
[   10.778949] RIP: 0010:[<ffffffff812d5f48>]  [<ffffffff812d5f48>] strncpy+0x18/0x30
[   10.778958] RSP: 0018:ffff88013529bb78  EFLAGS: 00010202
[   10.778960] RAX: ffff880136752fa0 RBX: ffff880136752220 RCX: ffff880136752fa0
[   10.778961] RDX: 000000000000001f RSI: 5f706f5f63616465 RDI: ffff880136752fa0
[   10.778962] RBP: ffff88013529bb78 R08: ffff880136752fbf R09: 00000000000003b3
[   10.778963] R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000003
[   10.778964] R13: 0000000000000000 R14: ffff880136752fa0 R15: ffff880136752068
[   10.778966] FS:  00007f8781c4d840(0000) GS:ffff88013fc80000(0000) knlGS:0000000000000000
[   10.778968] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[   10.778969] CR2: 00007f8781c60000 CR3: 0000000135322000 CR4: 00000000000007e0
[   10.778970] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   10.778972] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   10.778974] Process udevd (pid: 484, threadinfo ffff88013529a000, task ffff880138888000)
[   10.778974] Stack:
[   10.778976]  ffff88013529bc28 ffffffffa01b7645 000800003828ebd0 ffff880136752070
[   10.778980]  ffffc9000067a000 ffff880136752000 ffff880139ba2000 0000000000000000
[   10.778983]  0000000000000000 0008000000000000 fed140003529bc08 0000000000000246
[   10.778987] Call Trace:
[   10.778990]  [<ffffffffa01b7645>] i82975x_init_one+0x2b7/0x39a [i82975x_edac]
[   10.778997]  [<ffffffff812f7a3c>] local_pci_probe+0x5c/0xd0
[   10.779041]  [<ffffffff812f7bd1>] pci_device_probe+0x121/0x130
[   10.779045]  [<ffffffff813b5512>] driver_probe_device+0x92/0x390
[   10.779051]  [<ffffffff813b58bb>] __driver_attach+0xab/0xb0
[   10.779053]  [<ffffffff813b5810>] ? driver_probe_device+0x390/0x390
[   10.779056]  [<ffffffff813b3585>] bus_for_each_dev+0x55/0x90
[   10.779059]  [<ffffffffa01bc000>] ? 0xffffffffa01bbfff
[   10.779063]  [<ffffffff813b4d9e>] driver_attach+0x1e/0x20
[   10.779066]  [<ffffffff813b4aa8>] bus_add_driver+0x1a8/0x2a0
[   10.779068]  [<ffffffffa01bc000>] ? 0xffffffffa01bbfff
[   10.779071]  [<ffffffffa01bc000>] ? 0xffffffffa01bbfff
[   10.779073]  [<ffffffff813b5f87>] driver_register+0x77/0x150
[   10.779076]  [<ffffffffa01bc000>] ? 0xffffffffa01bbfff
[   10.779080]  [<ffffffff812f68ee>] __pci_register_driver+0x5e/0xe0
[   10.779084]  [<ffffffffa01bc000>] ? 0xffffffffa01bbfff
[   10.779087]  [<ffffffffa01bc035>] i82975x_init+0x35/0x1000 [i82975x_edac]
[   10.779091]  [<ffffffff8100212a>] do_one_initcall+0x12a/0x180
[   10.779096]  [<ffffffff810ba066>] sys_init_module+0x10f6/0x20b0
[   10.779100]  [<ffffffff812ecda0>] ? ddebug_proc_open+0xd0/0xd0
[   10.779105]  [<ffffffff81614969>] system_call_fastpath+0x16/0x1b
[   10.779110] Code: 84 c9 75 ef 5d c3 66 66 66 66 2e 0f 1f 84 00 00 00 00 00 55 48 85 d2 48 89 f8 4c 8d 04 17 48 89 f9 48 89 e5 74 1a 0f 1f 44 00 00 <0f> b6 16 80 fa 01 88 11 48 83 de ff 48 83 c1 01 4c 39 c1 75 eb 
[   10.779145] RIP  [<ffffffff812d5f48>] strncpy+0x18/0x30
[   10.779148]  RSP <ffff88013529bb78>
[   10.779151] ---[ end trace eb0122db898d724e ]---
Comment 1 brm 2012-08-31 10:58:57 EDT
I see the same fault.  I have an Intel D975XBX2 motherboard with ECC memory.

What is your setup?
Comment 2 Tamas Vincze 2012-08-31 11:06:56 EDT
Asus P5WDG2-WS mobo with ECC memory.

It may be a kernel bug, see: https://bugzilla.redhat.com/show_bug.cgi?id=848149
Comment 3 Harald Hoyer 2012-09-06 06:37:09 EDT
seems to be a bug in i82975x_edac
Comment 4 Len Brown 2012-09-06 14:03:09 EDT

*** This bug has been marked as a duplicate of bug 848149 ***

Note You need to log in before you can comment on or make changes to this bug.